import { CheckboxState } from './types';
/**
 * @internal
 */
export declare const CONTROLLED_TABLE_SELECTED_ALL = "__CONTROLLED_TABLE_SELECTED_ALL__";
/**
 * @internal
 */
export declare const CONTROLLED_TABLE_NONE_SELECTED = "__CONTROLLED_TABLE_NONE_SELECTED__";
/**
 * @internal
 *
 * This is an interface for the `getNextCheckboxState` function. Exported
 * for ease-of-use to get the matching type for the passed parameter.
 */
export interface GetNextCheckboxStateParams {
    checkboxState: Record<string, CheckboxState>;
    checkboxProp: string;
    data: typeof CONTROLLED_TABLE_SELECTED_ALL | typeof CONTROLLED_TABLE_NONE_SELECTED | Record<string, any> | Record<string, any>[];
    filteredDataLength: number;
    idProp: string;
    type: 'add' | 'remove';
}
/**
 * @internal
 *
 * This function is used to get the next checkbox state. This function is separated
 * because the checkbox state is used in both `TableHeader` and `TableBody` components.
 */
export declare function getNextCheckboxState({ checkboxState, checkboxProp, data, filteredDataLength, idProp, type }: GetNextCheckboxStateParams): {
    selected: Set<string>;
    state: "none-selected" | "some-selected" | "all-selected";
};
